/*
 * Ce programme a été réalisé par les élèves ingénieurs membres d'ESTIA SYSTEM, association de robotique et mécatronique de l'ESTIA à Bidart.
 * Pour plus d'informations : estiasystem@net.estia.fr
 */

#include <DynamixelSerial.h>
#define NEWID 5
#define OLDBAUD 500000  //Si on connait l'ancien Baudrate
#define NEWBAUD 1000000

void setup() {
 Dynamixel.begin(OLDBAUD,2); //Si on ne connait pas le Baudrate, il faut essayer tous les Baudrates...
 Dynamixel.reset(254);   //Id 254 générique lorsque l'on ne connait pas l'Id. Quand on fait un reset, l'Id passe à 1 !!
 delay(1000); 
 Dynamixel.setBD(1,NEWBAUD);  //Changer le Baudrate (L'Id vaut 1).
 Dynamixel.begin(NEWBAUD,2); //Après le set le Baudrate est à 1MHz.
 Dynamixel.setID(1,NEWID);  //Changer l'Id.
 delay(1000);
 Dynamixel.setSRL(NEWID,1);  //afin que le moteur ne réponde que quand on lui demande.
 delay(1000);
}

void loop() {
 Dynamixel.ledStatus(NEWID,OFF);
 delay(2000);
 Dynamixel.ledStatus(NEWID,ON);
 delay(3000);
}
